<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hssf.eventusermodel (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hssf.eventusermodel (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/eventmodel/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/hssf/eventusermodel/dummyrecord/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/eventusermodel/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.hssf.eventusermodel</h1>
    <div class="docSummary">
        <div class="block">HSSF eventmodel Package provides an event-based API for reading HSSF files.</div>
    </div>
    <p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                            title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a>
                    </td>
                    <td class="colLast">
                        <div class="block">Interface for use with the HSSFRequest and HSSFEventFactory.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/eventusermodel/AbortableHSSFListener.html"
                            title="class in org.apache.poi.hssf.eventusermodel">AbortableHSSFListener</a></td>
                    <td class="colLast">
                        <div class="block">Abstract class for use with the HSSFRequest and HSSFEventFactory, which
                            allows for the halting of processing.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/eventusermodel/EventWorkbookBuilder.html"
                            title="class in org.apache.poi.hssf.eventusermodel">EventWorkbookBuilder</a></td>
                    <td class="colLast">
                        <div class="block">When working with the EventUserModel, if you want to
                            process formulas, you need an instance of
                            <a href="../../../../../org/apache/poi/hssf/model/InternalWorkbook.html"
                               title="class in org.apache.poi.hssf.model"><code>InternalWorkbook</code></a> to pass to a
                            <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                               title="class in org.apache.poi.hssf.usermodel"><code>HSSFWorkbook</code></a>,
                            to finally give to <a href="../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html"
                                                  title="class in org.apache.poi.hssf.model"><code>HSSFFormulaParser</code></a>,
                            and this will build you stub ones.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/eventusermodel/EventWorkbookBuilder.SheetRecordCollectingListener.html"
                            title="class in org.apache.poi.hssf.eventusermodel">EventWorkbookBuilder.SheetRecordCollectingListener</a>
                    </td>
                    <td class="colLast">
                        <div class="block">A wrapping HSSFListener which will collect
                            <a href="../../../../../org/apache/poi/hssf/record/BoundSheetRecord.html"
                               title="class in org.apache.poi.hssf.record"><code>BoundSheetRecord</code></a>s and <a
                                    href="../../../../../org/apache/poi/hssf/record/ExternSheetRecord.html"
                                    title="class in org.apache.poi.hssf.record"><code>ExternSheetRecord</code></a>s as
                            they go past, so you can create a Stub <a
                                    href="../../../../../org/apache/poi/hssf/model/InternalWorkbook.html"
                                    title="class in org.apache.poi.hssf.model"><code>InternalWorkbook</code></a> from
                            them once required.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html"
                            title="class in org.apache.poi.hssf.eventusermodel">FormatTrackingHSSFListener</a></td>
                    <td class="colLast">
                        <div class="block">A proxy HSSFListener that keeps track of the document formatting records, and
                            provides an easy way to look up the format strings used by cells from their
                            ids.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFEventFactory.html"
                            title="class in org.apache.poi.hssf.eventusermodel">HSSFEventFactory</a></td>
                    <td class="colLast">
                        <div class="block">Low level event based HSSF reader.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html"
                                            title="class in org.apache.poi.hssf.eventusermodel">HSSFRequest</a></td>
                    <td class="colLast">
                        <div class="block">An HSSFRequest object should be constructed registering an instance or
                            multiple
                            instances of HSSFListener with each Record.sid you wish to listen for.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/eventusermodel/MissingRecordAwareHSSFListener.html"
                            title="class in org.apache.poi.hssf.eventusermodel">MissingRecordAwareHSSFListener</a></td>
                    <td class="colLast">
                        <div class="block">A HSSFListener which tracks rows and columns, and will
                            trigger your HSSFListener for all rows and cells,
                            even the ones that aren't actually stored in the file.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Exception Summary table, listing exceptions, and an explanation">
                <caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Exception</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                            title="class in org.apache.poi.hssf.eventusermodel">HSSFUserException</a></td>
                    <td class="colLast">
                        <div class="block">This exception is provided as a way for API users to throw
                            exceptions from their event handling code.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
    <a name="package.description">
        <!--   -->
    </a>
    <h2 title="Package org.apache.poi.hssf.eventusermodel Description">Package org.apache.poi.hssf.eventusermodel
        Description</h2>
    <div class="block">HSSF eventmodel Package provides an event-based API for reading HSSF files.

        <h2>Related Documentation</h2>
        The event model can reald XLS files with a very small memory footprint. For
        writing you still have to use the usermodel. The eventmodel is to the usermodel
        what SAX is to DOM.

        For overviews, tutorials, examples, guides, and tool documentation, please see:
        <ul>
            <li><a href="http://poi.apache.org">Apache POI Project</a>
        </ul>

        <!-- Put @see and @since tags down here. --></div>
    <dl>
        <dt><span class="seeLabel">See Also:</span></dt>
        <dd><a href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html"><code>org.apache.poi.hssf.usermodel</code></a>,
            <a href="../../../../../org/apache/poi/hssf/record/package-summary.html"><code>org.apache.poi.hssf.record</code></a>
        </dd>
    </dl>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/eventmodel/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/hssf/eventusermodel/dummyrecord/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/eventusermodel/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
